this.primevue = this.primevue || {};
this.primevue.animateonscroll = this.primevue.animateonscroll || {};
this.primevue.animateonscroll.style = (function (BaseStyle) {
    'use strict';

    function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

    var BaseStyle__default = /*#__PURE__*/_interopDefaultLegacy(BaseStyle);

    var AnimateOnScrollStyle = BaseStyle__default["default"].extend({
      name: 'animateonscroll-directive'
    });

    return AnimateOnScrollStyle;

})(primevue.base.style);
